powered by Jive Software

Client Compatibility/Incompatibility List

I have been tested some Jabber clients against Jive Messenger 2.1.0. The list below contains results of testing.

Psi 0.9.3 - works well

Miranda 0.3.3.1 - works well

Exodus 0.9.0.0 - works well

Pandion 2.1.1 - works well

RhymBox 2.0 Beta - works well

JAJC 0.0.8.112 - some minor problems with Jabber browser

Neos 1.0.91 - Jabber browser does not work at all

to be continued…

Hi fefelov,

what are the matters of your tests?

Regards,

Frank

Tests were carried out to facilitate to my clients a choice of the right software. This list is result of these tests.

Jabber Messenger 3.0.0.171 - unable to join groupchat

TipicIM 1.6.8 Beta - unable to connect to the server

SIM 0.9.3 - unable to connect to the server

Whisper IM 0.1.9.1 Alpha - works well

JAJC 0.0.8.112 - some minor problems with

Jabber browser

Neos 1.0.91 - Jabber browser does not work at

all

Do you know if those clients are trying to use “browse” instead of “disco”?

Regards,

Matt

Do you know if those clients are trying to use

“browse” instead of “disco”?

JAJC supports both “browse” and “disco”. And both methods not works correctly.

Neos - i don’'t know.

Neos shows error:

There was an error querying “servername”

501:

other things (messaging, chat, group) works fine, as it seems.

Maybe Neos requires the server to support JEP-55 for browsing? It’‘s known that Messenger doesn’'t support that.

On my side, I’‘ve had success with Gaim 1.0.3. A colleague had problems with Gaim 1.1. But then he built an older version and had the same problem with that one, so now I wonder whether it’‘s not a problem with one of the libraries Gaim uses rather than Gaim itself. Whatever it is, something changed between Messenger 2.0.1 and 2.1.0 that triggered the problem because they had no issues with the earlier Messenger and didn’'t change anything on the client side when I installed 2.1.0.

myJabber 3.5.79 - Jabber browser does not work

Yabber 1.3.109 - disconnects from the server immediately after connect

Gaim 1.1.2 - works well

Gush 1.3.0 - works well

Its like 6 months later but I thought that I should reply to this thread anyway. (i am searching the forums for posts related to neos)

Neos versions previous 1.0.100 only supported jabber:iq:browse which is a deprecated protocol. Neos 1.0.100 and later versions supports service discovery which fixes the issue mentioned on this thread.

Neos versions previous 1.0.100 only supported

jabber:iq:browse which is a deprecated protocol. Neos

1.0.100 and later versions supports service discovery

which fixes the issue mentioned on this thread.

Yes, neos 1.0.100[/b] works fine for me.

ok. neos 1.0.100 + JM 2.2.0 beta 2

when trying to get User Info in MUC room i get error:

Error fetching chatroom@conference.server/username info (400)

Psi 0.9.3 gives error with blank reason. Maybe this is a JM issue.

And not a bug, but neos still doesnt show user kick/ban/exit/enter messages in MUC

And not a bug, but neos still doesnt show user

kick/ban/exit/enter messages in MUC

I will check it.

side note: Your mails at feedback@neosmt.com that you sent back in April I did receive but all my responses came back due some error I don’'t remember now.

Regards

And not a bug, but neos still doesnt show user

kick/ban/exit/enter messages in MUC

I will check it.

side note: Your mails at feedback@neosmt.com that you

sent back in April I did receive but all my responses

came back due some error I don’'t remember now.

Regards

hm… well, nevermind, i’'m glad if my reports were useful

Psi 0.9.3 gives error with blank reason. Maybe this

is a JM issue.

Yes it is, AFAIR. I reported this problem on the Psi forum nearly a year ago: http://psi.affinix.com/forums/index.php?act=ST&f=2&t=2094

My situation was:

  • Psi connected to an ejabberd 0.7 server

  • Coccinella connected to the same ejabberd 0.7 server

The problem with Coccinella is fixed I think, but I now have the same blank messages with the bot eduardo@jabberes.org (also all ejabberd).

So I think (based on what the authors of Coccinella and ejabberd said to me) jabberd 1.4 (and 2?) filters things out that isn’'t needed (or not allowed?), and that Psi should not display these messages.